Sie sind nicht angemeldet.

1

02.10.2009, 12:02

Fusion-Icon startet nicht

Hallo zusammen,
mein compiz-fusion will nicht mehr. Wenn ich fusion icon starte, kommt nur die folgende Ausgabe:

Quellcode

1
2
3
4
5
6
7
8
Traceback (most recent call last):
  File "/usr/bin/fusion-icon", line 57, in <module>
	from FusionIcon.interface import choose_interface
  File "/usr/lib64/python2.6/site-packages/FusionIcon/interface.py", line 22, in <module>
	from util import env
  File "/usr/lib64/python2.6/site-packages/FusionIcon/util.py", line 23, in <module>
	import os, compizconfig, ConfigParser, time
ImportError: /usr/lib/libxcb-xlib.so.0: undefined symbol: _xcb_lock_io


Vielleicht kann mir ja jemand helfen.

MfG,
Fermi18

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »Fermi18« (02.10.2009, 23:05)


2

02.10.2009, 14:15

Hallo,

hast Du vielleicht Python aktualisiert?? Lasse mal python-updater laufen.
Ansonsten mal revdep-rebuild.

Gruß

Andreas
Alienware 17 R3 16 GB RAM
NVIDIA GTX970 Optimus
Intel Corporation Wireless 8260 AC
Blu-ray Disc ROM & DVD+/-RW
Ubuntu Gnome Desktop
+
Samsung Aktivbook 8, 16 GB DDR3-1666, 2000 GIG SATA
ATI Radeon HD 8870M
Intel Corporation Centrino Advanced-N 6235
Blu-ray Disc ROM & DVD+/-RW
Xbuntu mit debootstrap
+
Intel Core 2 Duo
2 GB MB RAM
ca. 3,5 TB SATA
TBS6980 Dual DVB S2
YaVDR amd64 + VDR1.7.x + XBMC + VDPAU


Mein Overlay:

Quellcode

1
layman -a amielke-overlay

3

02.10.2009, 16:41

Der Python-updater hilft nicht.
Das revdep-rebuild läuft nicht durch, beim emerge von net-misc/vino-2.24.1 bricht das ganze ab. Die build.log habe ich angehängt. Anscheinend gibt es dort das gleiche Problem wie bei fusion-icon.

Quellcode

1
2
3
          /usr/lib/libxcb-xlib.so.0: undefined reference to `_xcb_unlock_io'
 /usr/lib/libxcb-xlib.so.0: undefined reference to `_xcb_lock_io'
 


Ich habe auch schonmal libxcb neu emerged, das ändert aber nichts am Problem.
»Fermi18« hat folgende Datei angehängt:
  • build.txt (55,02 kB - 1 mal heruntergeladen - zuletzt: 02.10.2009, 18:48)

4

02.10.2009, 18:57

Hi
hattest du da in letzter Zeit ein Update von "x11-libs/libxcb" vorgenommen?,
welche Version hast du da aktuell drauf?
Hänge doch bitte auch noch die Ausgabe von "emerge --info" mit an.

5

02.10.2009, 19:03

Ich wüsste nicht, dass ich davon ein update gemacht habe. Aber vielleicht habe ich das bei einem update des Systems auch übersehen. Die aktuelle version ist x11-libs/libxcb-1.4-r1.

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
emerge --info
!!! CONFIG_PROTECT is emptyPortage 2.1.6.13 (default/linux/amd64/2008.0/desktop, gcc-4.3.2, glibc-2.9_p20081201-r2, 2.6.30-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.30-gentoo-r5-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_6000+-with-gentoo-1.12.11.1
Timestamp of tree: Fri, 02 Oct 2009 02:30:01 +0000
app-shells/bash: 	4.0_p28
dev-java/java-config: 2.1.8-r1
dev-lang/python: 	2.6.2-r1
dev-util/cmake:  	2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:	1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.7.9-r1, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8-sse3 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT=""
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=k8-sse3 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi additions alsa amd64 apache2 avahi berkdb bluetooth branding bzip2 cairo cdr cleartype cli consolekit cracklib crypt ctype cups dbus doc dri dts dvd dvdr eds emboss emerald encode esd evo fam firefox flac fortran gdbm gif glitz gnome gpm gstreamer gtk hal iconv ipv6 isdnlog jadetex java jce jpeg kerberos ldap libnotify mad mdnsresponder-compat mikmod mmx modules mp3 mp4 mpeg mudflap multilib mysql ncurses nls nptl nptlonly nsplugin nvidia odbc ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3support qt4 quicktime readline reflection samba sdl session source spell spl sse sse2 ssl startup-notification svg sysfs tcpd thunar tiff truetype unicode usb vorbis winbind x264 xcb xml xorg xulrunner xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

6

02.10.2009, 19:11

starte mal bitte folgendes:

Quellcode

1
/usr/bin/xcb-rebuilder.sh



Viele Grüße

Andreas
Alienware 17 R3 16 GB RAM
NVIDIA GTX970 Optimus
Intel Corporation Wireless 8260 AC
Blu-ray Disc ROM & DVD+/-RW
Ubuntu Gnome Desktop
+
Samsung Aktivbook 8, 16 GB DDR3-1666, 2000 GIG SATA
ATI Radeon HD 8870M
Intel Corporation Centrino Advanced-N 6235
Blu-ray Disc ROM & DVD+/-RW
Xbuntu mit debootstrap
+
Intel Core 2 Duo
2 GB MB RAM
ca. 3,5 TB SATA
TBS6980 Dual DVB S2
YaVDR amd64 + VDR1.7.x + XBMC + VDPAU


Mein Overlay:

Quellcode

1
layman -a amielke-overlay

7

02.10.2009, 19:29

Die aktuelle version ist x11-libs/libxcb-1.4-r1.
Dann hattest du wohl die Messages nach dem mergen übersehen...

Zitat

>>> Original instance of package unmerged safely.
* libxcb-xlib.so is no longer shipped by libxcb but was kept on your system
*
* While your system will still work, emerging new packages or updates
* will likely fail. You can fix broken libtool .la files by running :
*
* /usr/portage/x11-libs/libxcb/files/xcb-rebuilder.sh
*
* To completely get rid of libxcb-xlib.so references, please read :
* http://www.gentoo.org/proj/en/desktop/x/…grade-guide.xml
>>> Regenerating /etc/ld.so.cache...
gehe am besten den genanten upgrade-Guide durch.

8

02.10.2009, 23:05

Hat alles geklappt, danke.